# -*- rpm-spec -*-

%def_enable perlinterp
%def_enable pythoninterp
%def_enable rubyinterp
%def_enable tclinterp

Name: vim
%define major		6
%define minor		1
%define mainver		%major.%minor
%define patchlevel 	280
Version: %mainver.%patchlevel
Release: alt15
Serial: 4
Packager: Vim Development Team <vim@packages.altlinux.org>

%define builddir	vim%major%minor

Summary: VIsual editor iMproved
License: Charityware
Group: Editors
Url: ftp://ftp.vim.org/pub/%name/unix/

%add_findreq_skiplist /usr/share/vim/*

Source0: %url/%name-%mainver.tar.bz2
Source1: %name-%mainver-lang.tar.bz2
Source2: %name-%mainver-extra.tar.bz2
Source3: %name-%mainver-langmap.tar.bz2
Source4: %name-%mainver-langrc.tar.bz2
Source5: %name-%mainver-official-patches-%patchlevel.tar.bz2
Source6: gvim.menu
Source7: %name-%mainver-system.vimrc
Source8: %name-%mainver-system.gvimrc

Patch1: vimrc_hebrew.patch
Patch2: vim_vimrc.patch
Patch3: vim_gvimrc.patch
Patch4: vim-6.0-perl56.patch
Patch5: vim-6.0ah+-spec-syntax-alt.patch
Patch6: vim-6.0af-man-path.patch
Patch7: vim-6.0-Makefile.patch
#Patch8: vim-disable-xclipboard.patch
Patch9: vim-6.0-langfont.patch
Patch10: vim-6.1-alt-objc_filetype.patch
Patch11: vim-6.1-alt-neXtaw_gui.patch
Patch12: vim-6.1-alt-synmenu.patch

Patch13: vim6.1-alt-tmpdir.patch

PreReq: mktemp >= 1:1.3.1

# Automatically added by buildreq on Sun Dec 22 2002 and filtered by raorn
BuildPreReq: XFree86-devel
BuildPreReq: XFree86-libs
BuildPreReq: ctags
BuildPreReq: glib-devel
BuildPreReq: gtk+-devel
BuildPreReq: lesstif-devel
BuildPreReq: libacl-devel
BuildPreReq: libattr-devel
BuildPreReq: libelf-devel
BuildPreReq: libgpm-devel
BuildPreReq: libneXtaw-devel
BuildPreReq: libtinfo-devel
BuildPreReq: xpm-devel
%if_enabled perlinterp
BuildPreReq: perl-devel
%endif
%if_enabled pythoninterp
BuildPreReq: python-devel
%endif
%if_enabled rubyinterp
BuildPreReq: libruby-devel
BuildPreReq: ruby-stdlibs
%endif
%if_enabled tclinterp
BuildPreReq: tcl-devel
%endif

%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

%description -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

%package common
Summary: The common files needed by any version of the VIM editor
Summary(ru_RU.KOI8-R):     VIM 
Group: Editors
PreReq: coreutils
Requires: vim-minimal = %serial:%version-%release

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

If you are installing any version of the VIM editor, you'll also need to
the vim-common package installed.

%description common -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

 common  ,     
  VIM .   ,   
vim-enhanced  vim-X11.

%package minimal
Summary: A minimal version of the VIM editor
Summary(ru_RU.KOI8-R): VIM    
Group: Editors
Provides: vi = %serial:%version-%release
PreReq: coreutils

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-minimal package
includes a minimal version of VIM, which is installed into /bin/vi for use
when only the root partition is present.

Just install it because you'll need it.

%description minimal -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

    - .     
VIM,   /bin, , ,  .  , 
        VIM.

%package enhanced
Summary: A terminal-based, full-featured version of the VIM editor
Summary(ru_RU.KOI8-R):   VIM    
Group: Editors
Provides: vim = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color
Conflicts: vim-X11
Requires: vim-common = %serial:%version-%release
PreReq: coreutils

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-enhanced package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a full-featured
VIM, but you don't use X11 or don't want to use GUI version of VIM.
You'll also need to install the vim-common package.

%description enhanced -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

  ,      VIM 
 ; ,    X11.  
  vim-common.

%package X11
Summary: A full version of VIM editor, including GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System
Group: Editors
Provides: vim = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color
Conflicts: vim-enhanced
Requires: vim-common = %serial:%version-%release, vim-X11-gui = %serial:%version-%release
PreReq: coreutils

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 interface.  You'll also need to install the vim-common
package.

%description X11 -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

%package X11-gtk
Summary: A full version of VIM editor, including gtk+ GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (gtk+ )
Group: Editors
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color
Requires: vim-X11 = %serial:%version-%release, gtk+ >= 1.2.3
PreReq: coreutils

%description X11-gtk
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 gtk+ interface.  You'll also need to install the vim-X11
package.

%description X11-gtk -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        gtk+.

%package X11-motif
Summary: A full version of VIM editor, including Motif GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (Motif )
Group: Editors
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color
Requires: vim-X11 = %serial:%version-%release
PreReq: coreutils

%description X11-motif
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Motif interface.  You'll also need to install the vim-X11
package.

%description X11-motif -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

       Motif.

%package X11-athena
Summary: A full version of VIM editor, including Xaw GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (Xaw )
Group: Editors
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color
Requires: vim-X11 = %serial:%version-%release
PreReq: coreutils

%description X11-athena
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Xaw interface.  You'll also need to install the vim-X11
package.

%description X11-athena -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        Xaw.

%package X11-neXtaw
Summary: A full version of VIM editor, including neXtaw GUI for the X Window System
Summary(ru_RU.KOI8-R):   VIM,   X Window System (neXtaw )
Group: Editors
Provides: vim-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color
Requires: vim-X11 = %serial:%version-%release
PreReq: coreutils

%description X11-neXtaw
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 neXtaw interface.  You'll also need to install the vim-X11
package.

%description X11-neXtaw -l ru_RU.KOI8-R
VIM (VIsual editor iMproved) - ̣    
 vi.  Vi      Unix, 
-  . Vim,    vi, 
  ,   (  ) , 
  :      -- , 
 ,     , , 
,   (vimdiff),    ..  ..

VIM-X11    VIM,   
 X11.      ,   
vim-enhanced.

        neXtaw.

%prep
%setup -q -b1 -b2 -a3 -a4 -a5 -n %builddir
#%setup -q -b1 -b2 -a3 -a4 -a5 -n vim61a
(for i in official-patches/%{mainver}.*; do
   patch -p0 <$i || exit 1
 done)

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

# Load (g)vimrc file(s) from %_sysconfdir
%__subst 's|^.*#define[[:blank:]]\+SYS_VIMRC_FILE[[:blank:]]\+.*$|#define SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/feature.h
%__subst 's|^.*#define[[:blank:]]\+SYS_GVIMRC_FILE[[:blank:]]\+.*$|#define SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/feature.h
# drop tcl search madness
%__subst 's|\(^.\+tclloc=\).\+$|\1%prefix|' src/auto/configure

%build

# minimal
%configure \
	--exec-prefix=/ \
	--with-features=tiny \
	--with-x=no \
	--enable-gui=no \
	--disable-gpm \
	--disable-acl \
	--with-tlib=tinfo \
	--with-compiledby="%packager" \
	#

%make_build -C src
%__mv src/vim vim-minimal

common_opts="--with-features=huge \
	%{subst_enable perlinterp} \
	%{subst_enable pythoninterp} \
	%{subst_enable rubyinterp} \
	%{subst_enable tclinterp} \
	--with-tlib=tinfo"

# full without GUI
%make_build -C src clean
%configure \
	$common_opts \
	--with-x=no \
	--enable-gui=no \
	--with-compiledby="%packager" \
	#
%make_build -C src
%__mv src/vim vim-enhanced

# full version with GUI
for gui in gtk motif athena neXtaw; do
%make_build -C src clean
%configure \
	$common_opts \
	--with-x=yes \
	--enable-gui=$gui \
	--enable-multibyte \
	--enable-xim \
	--enable-fontset \
	--with-compiledby="%packager" \
	#
%make_build -C src
%__mv src/vim vim-$gui
done

%install
%__mkdir_p %buildroot{%_sysconfdir/vim,/bin,%_bindir,%_x11bindir,%_man1dir,%_datadir/%name/langmap,%_datadir/%name/langrc}

%make_install install DESTDIR=%buildroot -C src

# Where is our baby?..
%__rm -f %buildroot%_bindir/vim

# install the minimal version into the /bin
%__install -p -m755 vim-minimal %buildroot/bin/vi
%strip_executable -p -g %buildroot/bin/vi

# ... Here it is!
for gui in enhanced gtk motif athena neXtaw; do
	%__install -p -m755 vim-$gui %buildroot%_bindir/vim-$gui
	%strip_executable -p -g %buildroot%_bindir/vim-$gui
done

# set up links for minimal version
for i in ex rvi rview ; do
	%__ln_s -f vi %buildroot/bin/$i
done

for a in vimx gvim gview gvimdiff ; do
	%__ln_s -f ../../bin/gvim %buildroot%_x11bindir/$a
done

%__ln_s -f vim.1 %buildroot%_man1dir/vi.1                                                                                                             
%__ln_s -f vim.1 %buildroot%_man1dir/rvi.1                                                                                                            

%__rm -rf %buildroot%_datadir/%name/doc
%__ln_s -f ../doc/vim-common-%version/doc %buildroot%_datadir/%name

%__install -p -m644 %SOURCE7 %buildroot%_sysconfdir/vim/vimrc
%__install -p -m644 %SOURCE8 %buildroot%_sysconfdir/vim/gvimrc
%__install -p -m644 vimrc_hebrew %buildroot%_datadir/%name

pushd %buildroot%_datadir/%name/tools
    # i need to make a choice :(.
    %__subst 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
    %__subst 's,#!/bin/csh.*.*,#!/bin/sh,' vim132
    chmod a-x vimspell* ref*
popd

%__cp runtime/macros/README.txt README_macros.txt
%__cp runtime/tools/README.txt README_tools.txt
%__cp -R runtime/doc .
%__subst 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' doc/*.pl

# installing the three icons
%__install -p -m644 -D runtime/vim16x16.xpm %buildroot%_miconsdir/gvim.xpm
%__install -p -m644 -D runtime/vim32x32.xpm %buildroot%_iconsdir/gvim.xpm
%__install -p -m644 -D runtime/vim48x48.xpm %buildroot%_liconsdir/gvim.xpm
%__install -p -m644 -D %SOURCE6 %buildroot%_menudir/vim-X11

%find_lang vim

# install language-specific parts of gvimrc
%__install -p -m644 runtime/langrc/* %buildroot%_datadir/%name/langrc

# install langmaps
%__install -p -m644 runtime/langmap/*.vim %buildroot%_datadir/%name/langmap

%triggerpostun minimal -- vim-minimal < 6.0.118
[ $2 -gt 0 ] || exit 0
[ -e %_bindir/vi -a -h %_bindir/vi ] && %__rm -f %_bindir/vi ||:

# menus and alternatives
%post enhanced
/usr/sbin/update-alternatives --install %_bindir/vim vim %_bindir/vim-enhanced 40

%triggerpostun enhanced -- vim-enhanced < 3:6.1.82-alt7
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim vim %_bindir/vim-enhanced 40

%preun enhanced
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim %_bindir/vim-enhanced

%post X11
/usr/sbin/update-alternatives --install %_bindir/vim vim %_bindir/vim-X11 50
%update_menus

%triggerpostun X11 -- vim-X11 < 3:6.1.82-alt7, vim-enhanced < 3:6.1.82-alt7
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim vim %_bindir/vim-X11 50
%update_menus

%triggerpostun X11 -- vim-X11 < 3:6.1.126-alt8
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim vim %_bindir/vim-X11 50
%update_menus

%preun X11
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim %_bindir/vim-X11

%postun X11
%clean_menus

%post X11-gtk
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-gtk 50

%triggerpostun X11-gtk -- vim-X11 < 3:6.1.126-alt8
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-gtk 50
%update_menus

%preun X11-gtk
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim-X11 %_bindir/vim-gtk

%post X11-motif
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-motif 40

%triggerpostun X11-motif -- vim-X11 < 3:6.1.126-alt8
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-motif 40
%update_menus

%preun X11-motif
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim-X11 %_bindir/vim-motif

%post X11-athena
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-athena 30

%triggerpostun X11-athena -- vim-X11 < 3:6.1.126-alt8
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-athena 30
%update_menus

%preun X11-athena
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim-X11 %_bindir/vim-athena

%post X11-neXtaw
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-neXtaw 25

%triggerpostun X11-neXtaw -- vim-X11 < 3:6.1.126-alt8
[ $2 -gt 0 ] || exit 0
/usr/sbin/update-alternatives --install %_bindir/vim-X11 vim-X11 %_bindir/vim-neXtaw 25
%update_menus

%preun X11-neXtaw
[ $1 = 0 ] || exit 0
/usr/sbin/update-alternatives --remove vim-X11 %_bindir/vim-neXtaw

%files common -f vim.lang
%doc README*.txt runtime/gvimrc_example.vim runtime/bugreport.vim
%doc runtime/menu.vim runtime/mswin.vim doc
%doc runtime/termcap runtime/tutor runtime/vimrc_example.vim vimrc_hebrew

%dir %_sysconfdir/vim
%config(noreplace) %_sysconfdir/vim/vimrc
%config(noreplace) %_sysconfdir/vim/gvimrc
%_datadir/vim
%_man1dir/*
#%_man1dir/vim.1*
#%_man1dir/ex.1*
#%_man1dir/vi.1*
#%_man1dir/rvi.1*
#%_man1dir/rview.1*
#%_man1dir/gvim.1*
%_bindir/xxd
#%_man1dir/xxd.1*

%files minimal
/bin/*

%files enhanced
%_bindir/ex
%_bindir/view
%_bindir/rvim
%_bindir/rview
%_bindir/vimdiff
%_bindir/vimtutor
%_bindir/vim-enhanced

%files X11
%_bindir/ex
%_bindir/view
%_bindir/rvim
%_bindir/rview
%_bindir/vimdiff
%_bindir/vimtutor

%_bindir/evim
%_bindir/eview

%_bindir/gvim
%_bindir/gview
%_bindir/gvimdiff
%_bindir/rgvim
%_bindir/rgview

#%_bindir/vim-X11
%_x11bindir/vimx
%_x11bindir/gvim
%_x11bindir/gview
%_x11bindir/gvimdiff
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_menudir/vim-X11

%files X11-gtk
%_bindir/vim-gtk

%files X11-motif
%_bindir/vim-motif

%files X11-athena
%_bindir/vim-athena

%files X11-neXtaw
%_bindir/vim-neXtaw

%changelog
* Wed Jan 08 2003 Dmitry V. Levin <ldv@altlinux.org> 4:6.1.280-alt15
- Disabled modelines again.
- Reenabled perlinterp.
- Fixed interpackage dependencies again.
- Avoid autodependencies for files in /usr/share/vim/.

* Wed Jan 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.280-alt14
- Official patches (280)
- modeline's are back due to official patch 265

* Sat Dec 21 2002 Sir Raorn <raorn@altlinux.ru> 4:6.1.263-alt13
- Official patches (263)
- Fix vim-X11's obsoletes
- Remove libacl from vim-minimal's requires (closes #0001586)
- All interp's are now configurable via rpmbuild --enable/--disable
- Fixed provides for alternatives
- Buildrequires updated (honor --enable/--disable args to rpmbuld)

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.178-alt12
- temporary removed perlinterp (ldv request)
- disable modelines
- remove deps on csh
- fix tmpdir creation
- remove deps on ispell

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.178-alt11
- Rebuilt with perl-5.8.

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3:6.1.178-alt10
- rebuilt with tcl 8.4

* Tue Sep 17 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.178-alt9
- Official patches (178)
- Fixed build with new rpm (thanx to inger)
- System-wide configs are back again ("light" version, thanx to SA)
  Now located in /etc/vim/*vimrc and made %%config(noreplace)
- All %%__perl's replaced with %%__subst's
- Added (experimental) ru_RU.UTF-8 langrc

* Mon Sep 09 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.174-alt8
- Official patches (174)
- Fixed %%preun X11 script
  Fixed %%triggerpostun X11 script (closes #0001073)
- neXtaw GUI support
- Build all vesions of GUI (gtk+, motif, athena, neXtaw)
- Built with tcl and ruby (closes #0000395)
- Removed default g?vimrc from $VIMRUNTIME
  (they're still available as g?vimrc_example.vim)
- Fixed .m-files sysntax autodetection (closes #0000702)
- Spec cleanup

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt7
- Fixed %%triggerpostun scripts again.

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt6
- Linked with libtinfo.
- Updated buildrequires and interpackage dependencies.
- Fixed %%post/%%preun/%%postun/%%triggerpostun scripts.

* Mon Jun  3 2002 SA <sa@altlinux.ru> 6.1.82-alt5/3
- pathces
- removed triggerpostun
- removed vim from files section (will be a link, produced by alternatives)

* Mon Mar 25 2002 SA <sa@altlinux.ru> 6.1.0-alt5/3
- new release
- removed clipboard patch (use $ vim -X instead)
- evim included in distribution (practically useless thing...)

* Mon Mar 11 2002 SA <sa@altlinux.ru> 6.1b
- new pre-release 6.1b

* Wed Feb 27 2002 SA <sa@altlinux.ru> 6.1a.008
- new pre-release

* Thu Jan  3 2002 SA <sa@altlinux.ru> 6.0.101-alt3
- triggerpostun

* Sun Dec 23 2001 SA <sa@altlinux.ru> 6.0.101-alt2
- patchlevel 101
- incorporated many ideas by Alexey Morozov <morozov@novosoft.ru>
  (the most important are treating official patches as 'source' and
  use of 'alternatives')
- gui font loading is now based on $LANG (new directory 
  runtime/langrc is introduced for this).
- changed numbering of package
- removed vi from /usr/bin, since we have it in /bin anyway

* Fri Nov 30 2001 SA <sa@altlinux.ru> 6.0-alt1.93
- patchlevel 93

* Sun Oct 28 2001 SA <sa@altlinux.ru> 6.0-alt1.26
- patchlevel 26

* Wed Sep 19 2001 SA <sa@altlinux.ru> 6.0-alt0.8.aw
- 6.0aw

* Tue Sep 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.8.au
- 6.0au

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.7.as
- 6.0as

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.ar
- 6.0ar

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.aq
- 6.0aq
- Rebuilt with new perl.

* Tue Jul  3 2001 SA <sa@altlinux.ru> 6.0-alt0.5.am
- 6.0am
- removed unnecessary patches 

* Tue Jun 16 2001 SA <sa@altlinux.ru> 6.0-alt0.4.ah
- Fixed slow startup of /usr/bin/vim from X11 package when
  run from remote xterm or if $DISPLAY is broken:
  1. FEAT_XCLIPBOARD (used in terminal vim) is switched off
  (in feature.h)
  2. 'title' and 'icon' features are switched off in vimrc and
  switched on back in gvimrc.
- spec.vim fixed again 

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.3.ah
- Fixed errors in %%post/%%preun introduced in alt0.1.ah.
- Specfile cleanup again (policy enforcement).

* Sat Jun 9 2001 SA <sermar@mail.ru> 6.0-alt0.2ah
- fixed langmap call in vimrc
- removed link to /usr/bin/view
- spec-syntax changed to highlight ALT macros

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.1.ah
- 6.0ah
- Changed release scheme; set serial to enable upgrading.
- Minor specfile cleanup (hope nothing have been broken).
- Regenerated spec-mode-update patch (requires checking).
- Recompressed sources and pacthes.

* Wed May 9 2001 SA <sermar@mail.ru>
- 6.0ae
- removed obsolete patches and patches that changed run-time options by
  changing source (system-wide vimrc is a better place)
- changed installation procedure: now it uses VIM Makefile 'install' target
- 'X11' (==gvim) if installed will be symlinked to {vi,vim, etc...}, so user
  will not need 'vim-enhanced' to use terminal-based VIM. 'enhanced' and 'X11'
  are made 'conflicting'

* Sat Dec 23 2000 AEN <aen@logic.ru>
- adopted for RE
- 6.0q
- perl include path fixed

* Wed Dec 13 2000 DindinX <odin@mandrakesoft.com> 6.0-0.07mdk
- 6.0p

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 6.0-0.06mdk
- 6.0o

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.05mdk
- really set CFLAGS to RPM_OPT_FLAGS (should make Dadou happier)
  (thanks to Guillaume)

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.04mdk
- fix ./configure call (--enable-max-feature is now --with-features=huge)
- include some fix in spec.vim from Geoffrey Lee

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.03mdk
- 6.0n.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.02mdk
- Upgrade spec.vim and mandrakizifications.

* Tue Nov  7 2000 DindinX <odin@mandrakesoft.com> 6.0-0.01mdk
- 6.0
- remove ctags from this package

* Tue Sep 19 2000 DindinX <odin@mandrakesoft.com> 5.7-7mdk
- Added a patch to fix the paths in the man pages
  (Thx to Jerome Dumonteil for reporting this)

* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 5.7-6mdk
- Rebuild on ke
- Macrozifications
- BM

* Tue Jun 27 2000 DindinX <odin@mandrakesoft.com> 5.7-5mdk
- really fix the help files
- now vi is very spartiate (VI-like) and vim has syntax highlighting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-4mdk
- make vim-minimal very, very minimal

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-3mdk
- fix a typo which prevent the help files to be found
- remove syntax highlighting by default
- remove all trace of indenting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-2mdk
- Corrected the ctags version: 3.5.1

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-1mdk
- 5.7
- use a more standard vimrc file

* Thu May 25 2000 DindinX <odin@mandrakesoft.com> 5.6-19mdk
- Upgrade to 5.6.072
- remove autoindentation :(

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 5.6-18mdk
- wrap option now defaults to FALSE

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 5.6-17mdk
- remove menu icon path

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 5.6-16mdk
- fix for perl 5.6
- fix for ctags (i modified patch vim-typo)
- rebuild on true compile box (*with* spec-helper)
- remove abusive provides ctags (not needed)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-15mdk
- Fix the online documentation

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-14mdk
- Make a separate rpm for ctags

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 5.6-13mdk
- fix the name of the menu entry
- remove etags
- move ctags from /bin to /usr/bin
- Added the ctags man page

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-12mdk
- Do the Right Thing for the menus with the help of
  Guillaume Cottenceau

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-11mdk
- Fix the menu group once again (sic)
  Thanks to Guillaume Cottenceau

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-10mdk
- Added icons

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-9mdk
- fix menu

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 5.6-8mdk
- remove the RPM_ROOT_BUILD references in %post
  (thanks to Thierry Vignaud for pointing this)
- some changes to the default vimrc

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 5.6-7mdk
- add provides vim for X11 enhanced and minimal
- changed license from freeware to OpenSource

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 5.6-6mdk
- Specs fixes
- removed absolute links
- Added menu entry
- Remove the hlsearch by default (cause it might be puzzling)

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-5mdk
- Finally include ctags in vim-common :-/

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-4mdk
- fix a typo in the call to the ./configure script so more features
  are now enabled.

* Sun Feb  6 2000 DindinX <odin@mandrakesoft.com> 5.6-3mdk
- Added support for Chinese/Japanese/Corean support for gvim
  (Thanks to Pablo)
- added a link for the default vimrc.

* Mon Jan 31 2000 DindinX <odin@mandrakesoft.com> 5.6-2mdk
- Added the doc/ subdirectory in /usr/doc/vim-common-5.6/doc
- Correctly install vimrc_hebrew

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.6-1mdk
- 5.6.
- Enable right to left mode.
- Add vimrc_hebrew from Tzafrir Cohen <tzafrir@technion.ac.il>

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.5.

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting old patch.

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file for Mandrake distribution.

# end of file
